*DK FFACE                                                                          FFACE.1          
      SUBROUTINE FFACE(II)
      SAVE
C     ****                                                                         FFACE.4          
C     ****     INTERFACES ONE- AND TWO-DIMENSIONAL COMMON BLOCKS                   FFACE.5          
C     ****                                                                         FFACE.6          
      include 'params.h'
      include 'cons2.h'
      include 'asasf.h'
      include 'asas2f.h'
      include 'ch4h2cff.h'
      include 'ch4h2c2f.h'
      include 'cratesf.h'
      include 'crates2f.h'
      include 'disshoxf.h'
      include 'disshx2f.h'
      include 'fieldsf.h'
      include 'fields2f.h'
      include 'fieldtf.h'
      include 'fieldt2f.h'
      include 'flux.h'
      include 'flux2f.h'
      include 'h2forg.h'
      include 'h2forg2f.h'
      include 'heflux.h'
      include 'heflux2f.h'
      include 'hoxstuff.h'
      include 'hoxstf2f.h'
      include 'hoxupp.h'
      include 'hoxupp2f.h'
      include 'ionhox.h'
      include 'ionhox2f.h'
      include 'newratf.h'
      include 'newrat2f.h'
      include 'opion.h'
      include 'opion2f.h'
      include 'psibf.h'
      include 'psib2f.h'
      include 'photof.h'
      include 'photo2f.h'
      include 'photoof.h'
      include 'photoo2f.h'
      include 'rateblk.h'
      include 'ratblk2f.h'
      include 'rjh2o2o.h'
      include 'rjh2o22f.h'
      include 'sourcef.h'
      include 'source2f.h'
C     ****                                                                         FFACE.49         
C     ****     ALLOW FOR PERIODIC WRAP AROUND POINTS (TWO AT EACH END)             FFACE.50         
C     ****                                                                         FFACE.51         
      I = II+2
C     ****                                                                         FFACE.53         
C     ****     /ASAS/ AND /ASAS2/ ***** NEED TO WORK OUT LEAPFROG                  FFACE.54         
C     ****       POINTERS                                                          FFACE.55         
C     ****                                                                         FFACE.56         
C     ****     /CH4H2COF/ AND /CH4H2CO2/                                           FFACE.57         
C     ****                                                                         FFACE.58         
      DO 2 J = 1,7
	DO 2 K = 1,KMAXP1
	  RJCH4F(K,I,J) = RJCH4(K,J)
    2 CONTINUE
C     ****                                                                         FFACE.63         
C     ****     /CRATES/ AND /CRATES2/                                              FFACE.64         
C     ****                                                                         FFACE.65         
      DO 3 J = 1,4
	DO 3 K = 1,KMAXP1
	  RK12F(K,I,J) = RK12(K,J)
    3 CONTINUE
C     ****                                                                         FFACE.70         
C     ****     /DISSHOX/ AND /DISSHOX2/                                            FFACE.71         
C     ****                                                                         FFACE.72         
      DO 4 J = 1,9
	DO 4 K = 1,KMAXP1
	  SH2OTF(K,I,J) = SH2OT(K,J)
    4 CONTINUE
C     ****                                                                         FFACE.77         
C     ****     /FIELDS/ AND /FIELDS2/                                              FFACE.78         
C     ****                                                                         FFACE.79         
      DO 5 J = 1,17
	DO 5 K = 1,KMAXP1
	  FTF(K,I,J) = FT(K,J)
    5 CONTINUE
      F107F = F107
      DO 6 J = 1,3
	DO 6 K = 1,KMAXP1
	  FTEF(K,I,J) = FTE(K,J)
    6 CONTINUE
C     ****                                                                         FFACE.89         
C     ****     /FIELDT/ AND /FIELDT2/                                              FFACE.90         
C     ****                                                                         FFACE.91         
      DO 7 J = 1,12
	DO 7 K = 1,KMAXP1
	  FNH2OF(K,I,J) = FNH2O(K,J)
    7 CONTINUE
C     ****                                                                         FFACE.96         
C     ****     /FLUX/ AND /FLUX2/                                                  FFACE.97         
C     ****                                                                         FFACE.98         
      FLUXNOF(I) = FLUXNO
      IBNDNOF = IBNDNO
      FLUXCOF(I) = FLUXCO
      IBNDCOF = IBNDCO
C     ****                                                                         FFACE.103        
C     ****     /H2FORG/ AND /H2FORG2/                                              FFACE.104        
C     ****                                                                         FFACE.105        
      DO 8 K =1,KMAXP1
	RJH2OLYF(K,I) = RJH2OLY(K)
    8 CONTINUE
C     ****                                                                         FFACE.109        
C     ****     /HEFLUX/ AND /HEFLUX2/                                              FFACE.110        
C     ****                                                                         FFACE.111        
      FLUXF(I) = FLUX
C     ****                                                                         FFACE.113        
C     ****     /HOXSTUF/ AND /HOXSTUF2/                                            FFACE.114        
C     ****                                                                         FFACE.115        
      DO 9 J = 1,10
	DO 9 K = 1,KMAXP1
	  HO2HRF(K,I,J) = HO2HR(K,J)
    9 CONTINUE
C     ****                                                                         FFACE.120        
C     ****     /HOXUPP/ AND /HOXUPP2/                                              FFACE.121        
C     ****                                                                         FFACE.122        
      FHOXF(I) = FHOX
C     ****                                                                         FFACE.124        
C     ****     /IONHOX/ AND /IONHOX2/                                              FFACE.125        
C     ****                                                                         FFACE.126        
      DO 10 K = 1,KMAXP1
	PHOXICF(K,I) = PHOXIC(K)
   10 CONTINUE
C     ****                                                                         FFACE.130        
C     ****     /NEWRATF/ AND /NEWRAT2F/                                            FFACE.131        
C     ****                                                                         FFACE.132        
      DO 11 J = 1,3
	DO 11 K = 1,KMAXP1
	  HO2OHF(K,I,J) = HO2OH(K,J)
   11 CONTINUE
C     ****                                                                         FFACE.137        
C     ****     /OPION/ AND /OPION2/                                                FFACE.138        
C     ****                                                                         FFACE.139        
      DO 12 K = 1,KMAXP1
	FIOPF(K,I) = FIOP(K)
   12 CONTINUE
C     ****                                                                         FFACE.143        
C     ****     /PSIB/ AND /PSIB2/                                                  FFACE.144        
C     ****                                                                         FFACE.145        
      DO 13 J = 1,10
	PARBF(I,J) = PARB(J)
   13 CONTINUE
C     ****                                                                         FFACE.149        
C     ****     /PHOTO/ AND /PHOTO2/                                                FFACE.150        
C     ****                                                                         FFACE.151        
      DO 14 J =1,7
	XNOF(I,J) = XNO(J)
   14 CONTINUE
C     ****                                                                         FFACE.155        
C     ****     /PHOTOO/ AND /PHOTOO2/                                              FFACE.156        
C     ****                                                                         FFACE.157        
      DO 15 J = 1,2
	XHEF(I,J) = XHE(J)
   15 CONTINUE
C     ****                                                                         FFACE.161        
C     ****     /RATEBLK/ AND /RATEBLK2/                                            FFACE.162        
C     ****                                                                         FFACE.163        
      DO 16 J = 1,25
	DO 16 K = 1,KMAXP1
	  RKKF(J,K,I) = RKK(J,K)
   16 CONTINUE
      DO 17 J = 1,10
	DO 17 K = 1,KMAXP1
	  ALPPF(J,K,I) = ALPP(J,K)
   17 CONTINUE
      DO 18 J = 1,20
	DO 18 K = 1,KMAXP1
	  RBBF(J,K,I) = RBB(J,K)
   18 CONTINUE
      DO 19 J = 1,50
	DO 19 K = 1,KMAXP1
	  RKMMF(J,K,I) = RKMM(J,K)
   19 CONTINUE
C     ****                                                                         FFACE.180        
C     ****     /RJH2O2O/ AND /RJH2O2O2/                                            FFACE.181        
C     ****                                                                         FFACE.182        
      DO 21 K = 1,KMAXP1
	RJH2O2F(K,I) = RJH2O2(K)
   21 CONTINUE
C     ****                                                                         FFACE.186        
C     ****     /SOURCE/ AND /SOURCE2/                                              FFACE.187        
C     ****                                                                         FFACE.188        
      DO 20 J = 1,6
	DO 20 K = 1,KMAXP1
	  FS11F(K,I,J) = FS11(K,J)
   20 CONTINUE
      RETURN
      END
